Bug 1130692 - [abrt] sim: QObject::connect(): sim killed by SIGBUS
Summary: [abrt] sim: QObject::connect(): sim killed by SIGBUS
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sim
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6f262364838a441599b72355222...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-16 08:54 UTC by Jaroslav Škarvada
Modified: 2014-08-25 11:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-25 11:09:31 UTC


Attachments (Terms of Use)
File: backtrace (56.91 KB, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: core_backtrace (3.85 KB, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: dso_list (8.74 KB, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: environ (2.01 KB, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-16 08:54 UTC, Jaroslav Škarvada
no flags Details
File: maps (44.62 KB, text/plain)
2014-08-16 08:55 UTC, Jaroslav Škarvada
no flags Details
File: open_fds (1.16 KB, text/plain)
2014-08-16 08:55 UTC, Jaroslav Škarvada
no flags Details
File: proc_pid_status (992 bytes, text/plain)
2014-08-16 08:55 UTC, Jaroslav Škarvada
no flags Details
File: var_log_messages (315 bytes, text/plain)
2014-08-16 08:55 UTC, Jaroslav Škarvada
no flags Details

Description Jaroslav Škarvada 2014-08-16 08:54:44 UTC
Description of problem:
It was running in the background and trying to connect to jabber server.

Version-Release number of selected component:
sim-0.9.5-0.34.20091129svn3078rev.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        sim
crash_function: QObject::connect
executable:     /usr/bin/sim
kernel:         3.15.8-200.mst.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 QObject::connect at kernel/qobject.cpp:1774
 #1 QSignal::connect at kernel/qsignal.cpp:153
 #2 QSingleShotTimer::start at kernel/qtimer.cpp:281
 #3 QTimer::singleShot at kernel/qtimer.cpp:337
 #4 SIM::StdResolver::run at sockfactory.cpp:195
 #5 QThreadInstance::start at kernel/qthread_unix.cpp:122

Comment 1 Jaroslav Škarvada 2014-08-16 08:54:49 UTC
Created attachment 927313 [details]
File: backtrace

Comment 2 Jaroslav Škarvada 2014-08-16 08:54:50 UTC
Created attachment 927314 [details]
File: cgroup

Comment 3 Jaroslav Škarvada 2014-08-16 08:54:52 UTC
Created attachment 927315 [details]
File: core_backtrace

Comment 4 Jaroslav Škarvada 2014-08-16 08:54:54 UTC
Created attachment 927316 [details]
File: dso_list

Comment 5 Jaroslav Škarvada 2014-08-16 08:54:55 UTC
Created attachment 927317 [details]
File: environ

Comment 6 Jaroslav Škarvada 2014-08-16 08:54:57 UTC
Created attachment 927318 [details]
File: exploitable

Comment 7 Jaroslav Škarvada 2014-08-16 08:54:58 UTC
Created attachment 927319 [details]
File: limits

Comment 8 Jaroslav Škarvada 2014-08-16 08:55:00 UTC
Created attachment 927320 [details]
File: maps

Comment 9 Jaroslav Škarvada 2014-08-16 08:55:02 UTC
Created attachment 927321 [details]
File: open_fds

Comment 10 Jaroslav Škarvada 2014-08-16 08:55:03 UTC
Created attachment 927322 [details]
File: proc_pid_status

Comment 11 Jaroslav Škarvada 2014-08-16 08:55:05 UTC
Created attachment 927323 [details]
File: var_log_messages

Comment 12 Pavel Alexeev 2014-08-18 15:52:40 UTC
How it may be reproduced?

Comment 13 Jaroslav Škarvada 2014-08-20 15:06:30 UTC
(In reply to Pavel Alexeev (aka Pahan-Hubbitus) from comment #12)
> How it may be reproduced?

My jabber provider (jabber.cz) was down, unpingeable. After sim start it took approx. 1 hour and the jabber icon was blinking all the time, then it crashed. It was 100% reproducible, I reproduced the crash approx. 4 times. Now my provider is back online and I am unable to reproduce the crash. I tried to change the jabber server in the settings to point to offline machines, but I was unable to reproduce the crash again. I am not sure there is anything helpful in the backtrace.

Comment 14 Pavel Alexeev 2014-08-25 11:09:31 UTC
Sorry, but if it does not reproducible now I'll close it. Thank you for bugreport. If you are be able reproduce it - please reopen.


Note You need to log in before you can comment on or make changes to this bug.